ClearFoundation

Project/Bug Tracker


Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000006 [Userspace] Source Code minor always 2010-07-21 16:29 2011-08-02 18:43
Reporter pbaldwin View Status public  
Assigned To dsokoloski
Priority normal Resolution fixed  
Status resolved   Product Version 0.11
Summary 0000006: Build fails with libnetfilter_conntrack >= 0.0.100
Description Reported by Florian Westphal on l7-filter-developer mailing list @ http://sourceforge.net/mailarchive/message.php?msg_name=1276959108-2198-1-git-send-email-fw%40strlen.de [^]

Build fails with:
l7-conntrack.cpp: In function 'int sprintf_conntrack_key(char*, nfct_conntrack*, unsigned int)':
l7-conntrack.cpp:129: error: 'nfct_sprintf_protocol' was not declared in this scope
l7-conntrack.cpp:130: error: invalid use of incomplete type 'struct nfct_conntrack'
l7-conntrack.h:53: error: forward declaration of 'struct nfct_conntrack'
l7-conntrack.cpp:130: error: 'nfct_sprintf_address' was not declared in this scope
[..]
l7-conntrack.cpp:162: error: 'NFCT_MSG_DESTROY' was not declared in this scope
[..]

This (deprecated) API has now been removed from libnetfilter_conntrack.
Move to the new API.
Additional Information Patch information:

 l7-filter-userspace/trunk/l7-conntrack.cpp | 149 +++++++++++++++++----------
 l7-filter-userspace/trunk/l7-conntrack.h | 2 +-
 l7-filter-userspace/trunk/l7-queue.cpp | 55 +----------
 3 files changed, 97 insertions(+), 109 deletions(-)
Tags No tags attached.
Attached Files ? file icon l7-filter-userspace-libnetfilter_conntrack-0.0.100.patch [^] (10,228 bytes) 2010-07-21 17:40

- Relationships

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-07-21 16:29 pbaldwin New Issue
2010-07-21 17:40 pbaldwin File Added: l7-filter-userspace-libnetfilter_conntrack-0.0.100.patch
2010-07-21 17:40 pbaldwin Status new => assigned
2010-07-21 17:40 pbaldwin Assigned To => dsokoloski
2010-07-22 15:34 pbaldwin Target Version => 0.12
2010-07-22 15:35 pbaldwin Status assigned => resolved
2010-07-22 15:35 pbaldwin Fixed in Version => 0.12
2010-07-22 15:35 pbaldwin Resolution open => fixed
2011-01-25 13:05 pbaldwin Status resolved => assigned
2011-08-02 18:43 dsokoloski Status assigned => resolved
2011-08-02 18:43 dsokoloski Fixed in Version 0.12 => 0.13
2012-02-17 11:23 gavlee Issue Monitored: gavlee